const net = require('net');

const serverAddress = 'localhost';
const serverPort = 8081;

const client = new net.Socket();

console.log(`Connecting to ${serverAddress}:${serverPort}...`);

client.connect(serverPort, serverAddress, () => {
    const data = {
        file: 'filename.tif',
        rgb: 1000
    };
    const jsonData = JSON.stringify(data);

    console.log(`Sending: ${jsonData}`);
    client.write(jsonData);
});

client.on('close', () => {
    console.log('Closing connection');
});

client.on('error', (err) => {
    console.error('Error:', err);
});